package org.objectweb.petals.engine.performance.consumer.util;

public class RandomMessageContent {

    private static String m300;
    private static String m1000;
    private static String m5000;
    private static String m10000;
    private static String m20000;
    private static String m100000;
    
    static{
        m300=generateString(300);
        m1000=generateString(300);
        m5000=generateString(300);
        m10000=generateString(300);
        m20000=generateString(300);
        m100000=generateString(300);
    }
    
    /**
     * Return an xml String
     * with a randomized size.
     * <br>Random rule :
     * <br> - 30%    300o
     * <br> - 30%   1000o
     * <br> - 30%   5000o
     * <br> - 08%  10000o
     * <br> - 01%  20000o
     * <br> - 01% 100000o
     * 
     * @return
     */
    public static synchronized  String getRandomMessage(){
        int random = (int)(Math.random()*100);
        
        if(random<30) return m300;
        if(random<60) return m1000;
        if(random<90) return m5000;
        if(random<98) return m10000;
        if(random<99) return m20000;
        if(random<100) return m100000;
        return "";
    }
    
    protected static String generateString(int n) {
        if (n <= 0)
            throw new IllegalArgumentException("Number of Kb can not be null");

        StringBuffer result = new StringBuffer(n);
        result.append("<data>");
        for (int i = 0; i < (n) - 13; i++) {
            result.append("a");
        }
        result.append("</data>");
        return result.toString();
    }
}
