package org.objectweb.petals.engine.performance.consumer;

public interface SenderMBean {

    public abstract boolean isAcknowledgment();
    
    public abstract void setAcknowledgment(boolean acknowledgment);
    
    public abstract boolean isRunning();

    public abstract String getMep();

    public abstract void setMep(String mep);

    public abstract String getOperation();

    public abstract void setOperation(String operation);

    public abstract int getSize();

    public abstract void setSize(int size);

    public boolean isRandomSize();
    
    public void setRandomSize(boolean random);
    
    public abstract void setContentFileName(String contentFileName);
    
    public abstract String getContentFileName();
   
    public abstract boolean isSync();

    public abstract void setSync(boolean sync);
    
    public abstract int getSyncTimeout();

    public abstract void setSyncTimeout(int synctimeout);

    public abstract int getThreadCount();

    public abstract void setThreadCount(int threadCount);

    public abstract String getProviderInterface();

    public abstract void setProviderInterface(String providerInterface);
    
    public abstract  String getDuration();
    
    public abstract void setDuration(String duration) ;
    
    public abstract boolean isCompression();
    
    public abstract void setCompression(boolean compression);
    
    public abstract boolean isPersistent();
    
    public abstract void setPersistent(boolean persist);

    public abstract long getTrackingFrequencyPerMinute();

    public abstract void setTrackingFrequencyPerMinute(long trackingFrequencyPerMinute);
    
    public abstract long getSentMessageCount();

    public abstract long getNotSentMessageCount();

    public abstract long getDoneExchangeCount();
    
    public abstract long getErrorExchangeCount();
    
    public abstract void startSending() throws Exception;
    
    public abstract void stopSending() throws Exception;

    public abstract void resetCounters();
}